QGIS Application - Bug report #241
GRASS plugin: load higher level vector layers first
2006-08-20 02:04 AM - neteler-itc-it -

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: GRASS

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10300
Description

Hi,

when creating a new vector map using the GRASS toolsbox (e.g. buffer of
archsites in Spearfish dataset) or when loading an existing GRASS vector
map, the layer preset should be layer 1 and not layer 0 to show the

real map.

Related: when e.g. creating buffer of archsites in Spearfish dataset via
toolbox, then clicking on "show results" to display the resulting map
directly in QGIS, it loads layer 0 instead of layer 1. This is a bit
confusing.

thanks
Markus

History

#1 - 2006-12-03 07:03 AM - Martin Dobias

Do you mean that new map should be loaded on top of existing maps or do you mean something different?

#2 - 2006-12-03 09:23 AM - neteler-itc-it -

| mean something different:

sometimes (not with all GRASS vector maps, who knows why), there are two layers when loading a vector map numbered "0" and "1". The "1" layer is of
interest but QGIS loads the "0" layer per default.

Example:

Spearfish60 sample data set (http:/grass.itc.it/sampledata/spearfish_grass60data-0.3.tar.gz). If you load from the mapset PERMANENT the "fields"

polygon vector map, the dialog let's you select 0_polygon (default) and 1_polygon. Here the default should be the 1_polygon instead
(so that | don't have to change it for ever map manually). If you load the (default) 0_polygon, you see the islands and stuff instead of the real map which
would be 1_polygon.

Suggestion: QGIS should always take the highest available layer, not the lowest as currently. A rather trivial fix...

thanks,
http://grass.itc.it/sampledata/spearfish_grass60data-0.3.tar.gz

Markus

#3 - 2006-12-08 06:26 AM - Martin Dobias
- Resolution set to fixed
- Status changed from Open to Closed

Should be fixed in commit:493e7429 (SVN r6212).

#4 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
